package com.ffii.tbms.common;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.BaseEntity;

@Entity
@Table(name = "material_band")
public class MaterialBand extends BaseEntity<Integer> {

	private static final long serialVersionUID = 8039256623625569162L;

	@Column(columnDefinition = "varchar(255)")
	private String name;

	@Column(columnDefinition = "int(11)")
	private Integer fileId;

	@Column(columnDefinition = "varchar(255)")
	private String expectedPriceFormula;

	public MaterialBand() {
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getFileId() {
		return fileId;
	}

	public void setFileId(Integer fileId) {
		this.fileId = fileId;
	}

	public String getExpectedPriceFormula() {
		return expectedPriceFormula;
	}

	public void setExpectedPriceFormula(String expectedPriceFormula) {
		this.expectedPriceFormula = expectedPriceFormula;
	}

}
